Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.tiff
Class TIFFField

    java.lang.Object
      org.monte.media.tiff.TIFFNode
          org.monte.media.tiff.TIFFField

    public class TIFFField

extends TIFFNode

A field in a `TIFFDirectory`.

Version:
  1.0 2010-07-25 Created.
Author:
  Werner Randelshofer

Field Summary

Fields inherited from class org.monte.media.tiff.TIFFNode
`ifdEntry, tag`

Constructor Summary
`TIFFField(TIFFTag tag, java.lang.Object data)`
`TIFFField(TIFFTag tag, java.lang.Object data, IFDEntry entry)`

Method Summary
`long` | `getCount()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getDescription()` Returns a description of the field.
`IFDDataType` | `getType()`
`void` | `setData(java.lang.Object data)`
`java.lang.String` | `toString()`

Methods inherited from class org.monte.media.tiff.TIFFNode
`add, getChildAt, getChildCount, getChildren, getIFDEntry, getParent, getTag, getTagName, getTagNumber, postorderIterator, preorderIterator, removeFromParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TIFFField

    public TIFFField(TIFFTag tag,
                     java.lang.Object data)

### TIFFField

    public TIFFField(TIFFTag tag,
                     java.lang.Object data,
                     IFDEntry entry)

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns a description of the field. If known.

### getType

    public IFDDataType getType()

### getCount

    public long getCount()

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object data)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD